Bug 811444 - Handle ASSERT_CHILD_DOWN gracefully upon rebalance
Handle ASSERT_CHILD_DOWN gracefully upon rebalance
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: shishir gowda
shylesh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-11 01:24 EDT by shylesh
Modified: 2013-12-08 20:31 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:49:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0,master
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-04-11 01:24:41 EDT
Description of problem:

Handle ASSERT_CHILD_DOWN gracefully upon rebalance.
Comment 1 Anand Avati 2012-04-13 03:42:31 EDT
CHANGE: http://review.gluster.com/3120 (dht/rebalance: Handle ASSERT_ON_CHILD_DOWN gracefully) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Amar Tumballi 2012-06-07 08:53:06 EDT
------------
[2012-06-07 18:21:16.889775] I [dht-rebalance.c:848:dht_migrate_file] 0-a-dht: completed migration of /testdir/7731.7731 from subvolume a-client-0 to a-client-1
[2012-06-07 18:21:16.892650] I [dht-rebalance.c:639:dht_migrate_file] 0-a-dht: /testdir/180.180: attempting to move from a-client-0 to a-client-2
[2012-06-07 18:21:16.940622] I [dht-rebalance.c:848:dht_migrate_file] 0-a-dht: completed migration of /testdir/180.180 from subvolume a-client-0 to a-client-2
[2012-06-07 18:21:16.943456] I [dht-rebalance.c:639:dht_migrate_file] 0-a-dht: /testdir/6280.6280: attempting to move from a-client-0 to a-client-1
[2012-06-07 18:21:17.000150] I [dht-rebalance.c:848:dht_migrate_file] 0-a-dht: completed migration of /testdir/6280.6280 from subvolume a-client-0 to a-client-1
[2012-06-07 18:21:17.003112] I [dht-rebalance.c:639:dht_migrate_file] 0-a-dht: /testdir/3189.3189: attempting to move from a-client-0 to a-client-2
[2012-06-07 18:21:17.057435] I [dht-rebalance.c:1633:gf_defrag_stop] 0-: Recieved stop command on rebalance
[2012-06-07 18:21:17.057475] I [dht-rebalance.c:1611:gf_defrag_status_get] 0-glusterfs: Rebalance is stopped
[2012-06-07 18:21:17.057491] I [dht-rebalance.c:1614:gf_defrag_status_get] 0-glusterfs: Files migrated: 57, size: 277, lookups: 86, failures: 0
[2012-06-07 18:21:17.084145] I [dht-rebalance.c:848:dht_migrate_file] 0-a-dht: completed migration of /testdir/3189.3189 from subvolume a-client-0 to a-client-2
[2012-06-07 18:21:17.084917] W [glusterfsd.c:831:cleanup_and_exit] (-->/lib64/libc.so.6(clone+0x6d) [0x3b612e0e6d] (-->/lib64/libpthread.so.0() [0x3b61607b41] (-->/usr/local/sbin/glusterfs(glusterfs_sigwaiter+0xf3) [0x407c08]))) 0-: received signum (15), shutting down

------------

Notice that, now Rebalance process will complete the migration of the file which is in progress before terminating itself.

Note You need to log in before you can comment on or make changes to this bug.